Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Enum Class ContractLimitAvtoStatus

java.lang.Object
java.lang.Enum<ContractLimitAvtoStatus>
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitAvtoStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractLimitAvtoStatus>`, `Constable`

public enum ContractLimitAvtoStatus extends Enum<ContractLimitAvtoStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `CANCEL`
  `OFF`
  `ON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `ContractLimitAvtoStatus`
  `getStatusByCode(String code)`
  `String`
  `getTitle()`
  `String`
  `toString()`
  `static ContractLimitAvtoStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractLimitAvtoStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final ContractLimitAvtoStatus ALL

  - ### ON

    public static final ContractLimitAvtoStatus ON

  - ### OFF

    public static final ContractLimitAvtoStatus OFF

  - ### CANCEL

    public static final ContractLimitAvtoStatus CANCEL

- ## Method Details

  - ### values

    public static ContractLimitAvtoStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractLimitAvtoStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()

  - ### getTitle

    public String getTitle()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ContractLimitAvtoStatus>`

  - ### getStatusByCode

    public ContractLimitAvtoStatus getStatusByCode(String code)